### Constructor

# Foundry DoapFile new_from_bytes

since: 1.1

#### Declaration [src]

    DexFuture*
    foundry_doap_file_new_from_bytes (
      GBytes* bytes
    )

#### Description

No description available.

Available since: 1.1

#### Parameters

`bytes`

  Type: `GBytes`

  No description available.

  The data is owned by the caller of the function.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `FoundryDoapFile` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.